Bullet Collision Detection & Physics Library: btMatrixX< T > Struct Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btMatrixX< T > Struct Template Reference

`#include <btMatrixX.h>`

Collaboration diagram for btMatrixX< T >:
[legend]

## Public Member Functions
T * | getBufferPointerWritable ()
const T * | getBufferPointer () const
| btMatrixX ()
| btMatrixX (int rows, int cols)
void | resize (int rows, int cols)
int | cols () const
int | rows () const
void | addElem (int row, int col, T val)
| we don't want this read/write operator(), because we cannot keep track of non-zero elements, use setElem instead More...
void | setElem (int row, int col, T val)
void | mulElem (int row, int col, T val)
void | copyLowerToUpperTriangle ()
const T & | operator() (int row, int col) const
void | setZero ()
void | setIdentity ()
void | printMatrix (const char *msg)
void | rowComputeNonZeroElements () const
btMatrixX | transpose () const
btMatrixX | operator* (const btMatrixX &other)
void | multiplyAdd2_p8r (const btScalar *B, const btScalar *C, int numRows, int numRowsOther, int row, int col)
void | multiply2_p8r (const btScalar *B, const btScalar *C, int numRows, int numRowsOther, int row, int col)
void | setSubMatrix (int rowstart, int colstart, int rowend, int colend, const T value)
void | setSubMatrix (int rowstart, int colstart, int rowend, int colend, const btMatrixX &block)
void | setSubMatrix (int rowstart, int colstart, int rowend, int colend, const btVectorX< T > &block)
btMatrixX | negative ()

## Public Attributes
int | m_rows
int | m_cols
int | m_operations
int | m_resizeOperations
int | m_setElemOperations
btAlignedObjectArray< T > | m_storage
btAlignedObjectArray< btAlignedObjectArray< int > > | m_rowNonZeroElements1

## Detailed Description

### template<typename T>
struct btMatrixX< T >

Definition at line 155 of file btMatrixX.h.

## Constructor & Destructor Documentation

template<typename T >

btMatrixX< T >::btMatrixX | ( |  | ) |
| inline

Definition at line 175 of file btMatrixX.h.

template<typename T >

btMatrixX< T >::btMatrixX | ( | int | rows,
|  | int | cols
| ) |  |
| inline

Definition at line 183 of file btMatrixX.h.

## Member Function Documentation

template<typename T >

void btMatrixX< T >::addElem | ( | int | row,
|  | int | col,
|  | T | val
| ) |  |
| inline

we don't want this read/write operator(), because we cannot keep track of non-zero elements, use setElem instead

Definition at line 217 of file btMatrixX.h.

template<typename T >

int btMatrixX< T >::cols | ( |  | ) | const
| inline

Definition at line 202 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::copyLowerToUpperTriangle | ( |  | ) |
| inline

Definition at line 249 of file btMatrixX.h.

template<typename T >

const T* btMatrixX< T >::getBufferPointer | ( |  | ) | const
| inline

Definition at line 171 of file btMatrixX.h.

template<typename T >

T* btMatrixX< T >::getBufferPointerWritable | ( |  | ) |
| inline

Definition at line 166 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::mulElem | ( | int | row,
|  | int | col,
|  | T | val
| ) |  |
| inline

Definition at line 238 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::multiply2_p8r | ( | const btScalar * | B,
|  | const btScalar * | C,
|  | int | numRows,
|  | int | numRowsOther,
|  | int | row,
|  | int | col
| ) |  |
| inline

Definition at line 405 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::multiplyAdd2_p8r | ( | const btScalar * | B,
|  | const btScalar * | C,
|  | int | numRows,
|  | int | numRowsOther,
|  | int | row,
|  | int | col
| ) |  |
| inline

Definition at line 383 of file btMatrixX.h.

template<typename T >

btMatrixX btMatrixX< T >::negative | ( |  | ) |
| inline

Definition at line 468 of file btMatrixX.h.

template<typename T >

const T& btMatrixX< T >::operator() | ( | int | row,
|  | int | col
| ) |  | const
| inline

Definition at line 264 of file btMatrixX.h.

template<typename T >

btMatrixX btMatrixX< T >::operator* | ( | const btMatrixX< T > & | other | ) |
| inline

Definition at line 343 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::printMatrix | ( | const char * | msg | ) |
| inline

Definition at line 294 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::resize | ( | int | rows,
|  | int | cols
| ) |  |
| inline

Definition at line 192 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::rowComputeNonZeroElements | ( |  | ) | const
| inline

Definition at line 310 of file btMatrixX.h.

template<typename T >

int btMatrixX< T >::rows | ( |  | ) | const
| inline

Definition at line 206 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::setElem | ( | int | row,
|  | int | col,
|  | T | val
| ) |  |
| inline

Definition at line 232 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::setIdentity | ( |  | ) |
| inline

Definition at line 281 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::setSubMatrix | ( | int | rowstart,
|  | int | colstart,
|  | int | rowend,
|  | int | colend,
|  | const T | value
| ) |  |
| inline

Definition at line 428 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::setSubMatrix | ( | int | rowstart,
|  | int | colstart,
|  | int | rowend,
|  | int | colend,
|  | const btMatrixX< T > & | block
| ) |  |
| inline

Definition at line 442 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::setSubMatrix | ( | int | rowstart,
|  | int | colstart,
|  | int | rowend,
|  | int | colend,
|  | const btVectorX< T > & | block
| ) |  |
| inline

Definition at line 454 of file btMatrixX.h.

template<typename T >

void btMatrixX< T >::setZero | ( |  | ) |
| inline

Definition at line 270 of file btMatrixX.h.

template<typename T >

btMatrixX btMatrixX< T >::transpose | ( |  | ) | const
| inline

Definition at line 325 of file btMatrixX.h.

## Member Data Documentation

template<typename T >

int btMatrixX< T >::m_cols

Definition at line 158 of file btMatrixX.h.

template<typename T >

int btMatrixX< T >::m_operations

Definition at line 159 of file btMatrixX.h.

template<typename T >

int btMatrixX< T >::m_resizeOperations

Definition at line 160 of file btMatrixX.h.

template<typename T >

btAlignedObjectArray< btAlignedObjectArray<int> > btMatrixX< T >::m_rowNonZeroElements1
| mutable

Definition at line 164 of file btMatrixX.h.

template<typename T >

int btMatrixX< T >::m_rows

Definition at line 157 of file btMatrixX.h.

template<typename T >

int btMatrixX< T >::m_setElemOperations

Definition at line 161 of file btMatrixX.h.

template<typename T >

btAlignedObjectArray<T> btMatrixX< T >::m_storage

Definition at line 163 of file btMatrixX.h.

The documentation for this struct was generated from the following file:

- btMatrixX.h